<HTML>
<HEAD>
<TITLE>
Analysis of JIS X 4051 to Unicode General Category Mapping
</TITLE>
</HEAD>
<BODY>
<H1>
Analysis of JIS X 4051 to Unicode General Category Mapping
</H1>
<TABLE BORDER=3>
<TR BGCOLOR=blue><TH><TH>
<TD BGCOLOR=red>C</TD>
<TD BGCOLOR=red>L</TD>
<TD BGCOLOR=red>M</TD>
<TD BGCOLOR=red>N</TD>
<TD BGCOLOR=red>P</TD>
<TD BGCOLOR=red>S</TD>
<TD BGCOLOR=red>Z</TD>
<TD BGCOLOR=white>Total</TD>
<TD BGCOLOR=yellow>Cc</TD>
<TD BGCOLOR=yellow>Cf</TD>
<TD BGCOLOR=yellow>Co</TD>
<TD BGCOLOR=yellow>Cs</TD>
<TD BGCOLOR=yellow>Ll</TD>
<TD BGCOLOR=yellow>Lm</TD>
<TD BGCOLOR=yellow>Lo</TD>
<TD BGCOLOR=yellow>Lt</TD>
<TD BGCOLOR=yellow>Lu</TD>
<TD BGCOLOR=yellow>Mc</TD>
<TD BGCOLOR=yellow>Me</TD>
<TD BGCOLOR=yellow>Mn</TD>
<TD BGCOLOR=yellow>Nd</TD>
<TD BGCOLOR=yellow>Nl</TD>
<TD BGCOLOR=yellow>No</TD>
<TD BGCOLOR=yellow>Pc</TD>
<TD BGCOLOR=yellow>Pd</TD>
<TD BGCOLOR=yellow>Pe</TD>
<TD BGCOLOR=yellow>Pf</TD>
<TD BGCOLOR=yellow>Pi</TD>
<TD BGCOLOR=yellow>Po</TD>
<TD BGCOLOR=yellow>Ps</TD>
<TD BGCOLOR=yellow>Sc</TD>
<TD BGCOLOR=yellow>Sk</TD>
<TD BGCOLOR=yellow>Sm</TD>
<TD BGCOLOR=yellow>So</TD>
<TD BGCOLOR=yellow>Zl</TD>
<TD BGCOLOR=yellow>Zp</TD>
<TD BGCOLOR=yellow>Zs</TD>
</TR>
<TR><TH>00_1<TH>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD>14</TD>
<TD>3</TD>
<TD></TD>
<TD BGCOLOR=white>17</TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD>1</TD>
<TD>13</TD>
<TD>2</TD>
<TD></TD>
<TD>1</TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
</TR>
<TR><TH>01_[a]<TH>
<TD></TD>
<TD>31</TD>
<TD>2</TD>
<TD></TD>
<TD>32</TD>
<TD>6</TD>
<TD></TD>
<TD BGCOLOR=white>71</TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD>7</TD>
<TD>24</TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD>2</TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD>2</TD>
<TD>14</TD>
<TD></TD>
<TD></TD>
<TD>16</TD>
<TD></TD>
<TD></TD>
<TD>2</TD>
<TD>3</TD>
<TD>1</TD>
<TD></TD>
<TD></TD>
<TD></TD>
</TR>
<TR><TH>02_7<TH>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD>1</TD>
<TD></TD>
<TD></TD>
<TD BGCOLOR=white>1</TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD>1</TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
</TR>
<TR><TH>03_8<TH>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD>3</TD>
<TD></TD>
<TD BGCOLOR=white>3</TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD>2</TD>
<TD></TD>
<TD></TD>
<TD>1</TD>
<TD></TD>
<TD></TD>
<TD></TD>
</TR>
<TR><TH>04_9<TH>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD>4</TD>
<TD>1</TD>
<TD></TD>
<TD BGCOLOR=white>5</TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD>4</TD>
<TD></TD>
<TD>1</TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
</TR>
<TR><TH>05_[b]<TH>
<TD>33</TD>
<TD>154</TD>
<TD></TD>
<TD>53</TD>
<TD>2</TD>
<TD>305</TD>
<TD>13</TD>
<TD BGCOLOR=white>560</TD>
<TD>32</TD>
<TD>1</TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD>154</TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD>33</TD>
<TD>20</TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD>2</TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD>305</TD>
<TD></TD>
<TD></TD>
<TD>13</TD>
</TR>
<TR><TH>06_15<TH>
<TD></TD>
<TD></TD>
<TD></TD>
<TD>30</TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD BGCOLOR=white>30</TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD>30</TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
</TR>
<TR><TH>07_16<TH>
<TD></TD>
<TD>1</TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD BGCOLOR=white>1</TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD>1</TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
</TR>
<TR><TH>08_18<TH>
<TD>10</TD>
<TD>659</TD>
<TD>4</TD>
<TD>130</TD>
<TD>56</TD>
<TD>941</TD>
<TD>2</TD>
<TD BGCOLOR=white>1802</TD>
<TD></TD>
<TD>10</TD>
<TD></TD>
<TD></TD>
<TD>368</TD>
<TD>1</TD>
<TD>4</TD>
<TD></TD>
<TD>286</TD>
<TD></TD>
<TD></TD>
<TD>4</TD>
<TD></TD>
<TD>3</TD>
<TD>127</TD>
<TD>3</TD>
<TD>5</TD>
<TD>3</TD>
<TD>4</TD>
<TD>6</TD>
<TD>30</TD>
<TD>5</TD>
<TD>12</TD>
<TD>10</TD>
<TD>273</TD>
<TD>646</TD>
<TD>1</TD>
<TD>1</TD>
<TD></TD>
</TR>
<TR><TH>09_COMPLEX<TH>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD BGCOLOR=white>0</TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
</TR>
<TR><TH>X<TH>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD BGCOLOR=white>0</TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
</TR>
</TABLE>
<TABLE BORDER=3>
<TR BGCOLOR=blue><TH><TH>
<TD BGCOLOR=red>00_1</TD>
<TD BGCOLOR=red>01_[a]</TD>
<TD BGCOLOR=red>02_7</TD>
<TD BGCOLOR=red>03_8</TD>
<TD BGCOLOR=red>04_9</TD>
<TD BGCOLOR=red>05_[b]</TD>
<TD BGCOLOR=red>06_15</TD>
<TD BGCOLOR=red>07_16</TD>
<TD BGCOLOR=red>08_18</TD>
<TD BGCOLOR=red>09_COMPLEX</TD>
<TD BGCOLOR=red>X</TD>
</TR>
<TR><TH>00<TH>
<TD>6</TD>
<TD>14</TD>
<TD></TD>
<TD>2</TD>
<TD>1</TD>
<TD>33</TD>
<TD>10</TD>
<TD></TD>
<TD>156</TD>
<TD></TD>
<TD></TD>
</TR>
<TR><TH>01<TH>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD>128</TD>
<TD></TD>
<TD></TD>
</TR>
<TR><TH>02<TH>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD>89</TD>
<TD></TD>
<TD></TD>
</TR>
<TR><TH>03<TH>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD>76</TD>
<TD></TD>
<TD></TD>
</TR>
<TR><TH>04<TH>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD>226</TD>
<TD></TD>
<TD></TD>
</TR>
<TR><TH>0E<TH>
<TD>1</TD>
<TD>6</TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD>20</TD>
<TD></TD>
<TD>1</TD>
<TD></TD>
<TD></TD>
</TR>
<TR><TH>20<TH>
<TD></TD>
<TD>5</TD>
<TD>1</TD>
<TD></TD>
<TD>4</TD>
<TD>13</TD>
<TD></TD>
<TD></TD>
<TD>86</TD>
<TD></TD>
<TD></TD>
</TR>
<TR><TH>21<TH>
<TD></TD>
<TD></TD>
<TD></TD>
<TD>1</TD>
<TD></TD>
<TD>32</TD>
<TD></TD>
<TD>1</TD>
<TD>162</TD>
<TD></TD>
<TD></TD>
</TR>
<TR><TH>22<TH>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD>242</TD>
<TD></TD>
<TD></TD>
</TR>
<TR><TH>23<TH>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD>1</TD>
<TD></TD>
<TD></TD>
</TR>
<TR><TH>24<TH>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD>139</TD>
<TD></TD>
<TD></TD>
</TR>
<TR><TH>25<TH>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD>230</TD>
<TD></TD>
<TD></TD>
</TR>
<TR><TH>26<TH>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD>106</TD>
<TD></TD>
<TD></TD>
</TR>
<TR><TH>27<TH>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD>160</TD>
<TD></TD>
<TD></TD>
</TR>
<TR><TH>30<TH>
<TD>10</TD>
<TD>46</TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD>161</TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
</TR>
<TR><TH>32<TH>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD>132</TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
</TR>
<TR><TH>33<TH>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD>188</TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
</TR>
<TR><TH>4E<TH>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD>256</TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
<TD></TD>
</TR>
</TABLE>
